| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::Haar::SignatureMap Class Reference

This class provides very fast lookup if a certain pixel is set (positive or negative) in the loaded coefficient set.

## Public Types
typedef bool | MapIndexType

## Public Member Functions
void | fill (const Haar::Idx *const coefs)
| Load a set of coefficients.
bool | operator[] (Haar::Idx index) const
| Query if the given index is set. Index must be in the range -16383..16383.

## Public Attributes
MapIndexType * | m_indexList = nullptr